Creates a new user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "faff9298-be3d-481a-a0bc-b4c5dd358129",
"user_id": "18100e46-6d49-4b2d-8f9e-b89fcd104219",
"user_planning_slot_type_id": "ad5edaad-bba2-487d-b315-e8b05ea0d4d9",
"date_from": "2026-05-16T23:03:23.1534699+00:00",
"date_to": "2026-05-16T23:03:23.1534699+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-05-16T23:03:23.1534699+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.